org.apache.catalina.tribes

## Class UniqueId

- java.lang.Object
- - org.apache.catalina.tribes.UniqueId

All Implemented Interfaces:
  Serializable

    public final class UniqueId
    extends Object
    implements Serializable

Title: Represents a globally unique Id

Company:

Version:
  1.0
Author:
  Filip Hanik
See Also:
  Serialized Form

### Field Summary

Fields
`protected byte[]` `id`

### Constructor Summary

Constructors
Constructor and Description
`UniqueId()`
`UniqueId(byte[] id)`
`UniqueId(byte[] id, int offset, int length)`

### Method Summary

Methods
`boolean` `equals(Object other)`
`byte[]` `getBytes()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    protected byte[] id

### Constructor Detail

#### UniqueId

    public UniqueId()

#### UniqueId

    public UniqueId(byte[] id)

#### UniqueId

    public UniqueId(byte[] id,
            int offset,
            int length)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### getBytes

    public byte[] getBytes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`